/**
 * @overview Life of German Reallife - Gui Introduction
 * @author MichaPlays
 * @copyright (c) 2008 - 2021 Life of German
 */

export default function userhelp(globalData: IGlobalData): void {

    var userhelpBrowser: BrowserMp = null;

    mp.events.add("showUserhelp", () => {

        if (userhelpBrowser !== null) {
            userhelpBrowser.destroy();
            userhelpBrowser = null;
            globalData.InMenu = false;
            mp.gui.cursor.show(false, false);
            mp.gui.chat.activate(true);
        }
        else if (!globalData.InMenu) {
            globalData.InMenu = true;
            userhelpBrowser = mp.browsers.new('package://assets/html/helpcommand/userhelp.html');
            mp.gui.chat.activate(false);
            mp.gui.cursor.show(true, true);

        }
    });

    mp.events.add("removeUserhelp", () => {

        if (userhelpBrowser == null) {
            return;
        }
        else if (globalData.InMenu) {
            userhelpBrowser.destroy();
            userhelpBrowser = null;
            globalData.InMenu = false;
            mp.gui.cursor.show(false, false);
            mp.gui.chat.activate(true);

        }
    });

}